#include "Diagnostics.h"

using namespace PeerSDK;

int main(int argc, char* argv[])
{
    char host[100]     = "";
    int  port          = 0;
    char user[100]     = "";
    char password[100] = "";
    if (argc == 5)
    {
        strcpy(host, argv[1]);
        port = atoi(argv[2]);
        strcpy(user, argv[3]);
        strcpy(password, argv[4]);
    }
    else
    {
        printf("please input host address: ");
        scanf("%s", host);

        printf("please input host port: ");
        scanf("%d", &port);

        printf("please input user name: ");
        scanf("%s", user);

        printf("please input password: ");
        scanf("%s", password);
    }

    DiagnosticTool tool;
    tool.Start(host, port, user, password);

    WRITE_LOG(L"press any key to continue");
    GETCHAR();

    return 0;
}
